package Viewer;

import myUtil.Inputclass;

public class Menu {

	/**
	 * @return
	 */
	public static int getNo() {
		int selectNumber = 0;
		while (true) {
			showMenu();
			selectNumber = Inputclass.getNumber("番号を入力してください。");
			if (0 <= selectNumber && selectNumber <= 4) {
				break;
			}
		}
		return selectNumber;
	}

	/**
	 * @return 部員プロフィールのメニュー番号
	 */
	public static int getNoMember1() {
		int selectNumber = 0;
		while (true) {
			MemberShowMenu();
			selectNumber = Inputclass.getNumber("メニューを選択してください");
			if (0 <= selectNumber && selectNumber <= 7) {
				break;
			}
		}
		return selectNumber;
	}

	/**
	 * @return スケジュールのメニュー番号
	 */
	public static int getNoMember2() {
		int selectNumber = 0;
		while (true) {
			ScheduleShowMenu();
			selectNumber = Inputclass.getNumber("メニューを選択してください");
			if (0 <= selectNumber && selectNumber <= 7) {
				break;
			}
		}
		return selectNumber;
	}

	/**
	 * @return 試合結果おメニュー番号
	 */
	public static int getNoMember3() {
		int selectNumber = 0;
		while (true) {
			ResultShowMenu();
			selectNumber = Inputclass.getNumber("メニューを選択してください");
			if (0 <= selectNumber && selectNumber <= 7) {
				break;
			}
		}
		return selectNumber;
	}

	/**
	 * @return
	 */
	public static int getNoMember4() {
		int selectNumber = 0;
		while (true) {
			RetShowMenu();
			selectNumber = Inputclass.getNumber("メニューを選択してください");
			if (0 <= selectNumber && selectNumber <= 4) {
				break;
			}
		}
		return selectNumber;
	}

	/**
	 *
	 */
	public static void showMenu() {
		System.out.println("");
		System.out.println("1.部員プロフィールへ");
		System.out.println("2.予定表へ");
		System.out.println("3.試合結果へ");
		System.out.println("4.終了します");
		System.out.println("");
	}

	/**
	 * 1.メンバー編集メニュー表示します。
	 */
	private static void MemberShowMenu() {
		System.out.println("");
		System.out.println("1.全件表示");
		System.out.println("2.１件検索");
		System.out.println("3.新規登録");
		System.out.println("4.削除更新");
		System.out.println("5.書換更新");
		System.out.println("6.メインメニューに戻る");
	}

	/**
	 * 2.予定表のメニュー表示をします。
	 */
	private static void ScheduleShowMenu() {
		System.out.println("");
		System.out.println("1.予定表全件表示");
		System.out.println("2.予定１件検索");
		System.out.println("3.予定新規登録");
		System.out.println("4.予定削除更新");
		System.out.println("5.予定変更更新");
		System.out.println("6.メインメニューに戻る");
	}

	/**
	 * 3.試合結果のメニュー表示をします。
	 */
	private static void ResultShowMenu() {
		System.out.println("");
		System.out.println("1.試合結果全件表示");
		System.out.println("2.試合結果１件検索");
		System.out.println("3.試合結果新規登録");
		System.out.println("4.試合結果削除更新");
		System.out.println("5.試合結果変更更新");
		System.out.println("6.メインメニューに戻る");
	}

	/**
	 * 4.終了メニュー表示をします。
	 */
	public static void RetShowMenu() {
		System.out.println("");
		System.out.println("メニューへ戻りますが、どうしますか？");
		System.out.println("1.同じメニューへ戻る");
		System.out.println("2.メインメニューへ戻る");
		System.out.println("3.終了します");
		System.out.println("");
	}

}
